lambda_0 <- function(t, a){
   #incidence of dementia
   ageClasses_ <- c(55, 62.5, 67.5, 72.5, 77.5, 82.5, 87.5, 92.5,  97.5, 100)
   lambda_     <- c( 0,    0, 0.3,   0.7,  1.7,    3,  5.2,  7.6,  9.9, 11.2)
   value_      <- approx(ageClasses_, lambda_, a, rule = 2)$y
   return(0.015*value_) #1.5-fold incidence of Ziegler & Doblhammer

}

lambda_1 <- function(t, a){

   if(t < 75) return(0)
   else{
     l0_         <- lambda_0(t, a)
     ageClasses_ <- c( 55, 67.5, 72.5, 77.5, 82.5, 87.5, 92.5,  97.5, 100)
    #fac_        <- c(  2,    2,    2,    2,    2,    2,  3.8,   4.5, 5.5)
     fac_        <- c(  2,    2,    2,    2,    2,    2,    2,     2,   2)
     value_      <- l0_ * exp((t-75)*log(1.05)) * exp(approx(ageClasses_, fac_, a, rule = 2)$y)
     return(value_)
   }

}

mort <- function(t, a){
   #mortality male population 1900-2010 in Germany (t = years since 1900)
   alpha_ <- - 7.078 - 0.02592 * t
   beta_  <- 0.06401 + 2.455e-4 * t
   return(exp(alpha_ + beta_ * a))
}